Subject: Re: Goat fiber production
From: [email-masked]
Date: 7 Jul 1994 18:15:33 GMT
Newsgroups: alt.sustainable.agriculture

In article <[email-masked]>, [email-masked] (Jim Pease) writes:
>Anyone have a suggestion for information sources on angora and cashmere
>goat production for fiber, including some costs and possible prices?
>Thanks. Jim (Sweet) Pease

hello
i belong to a listserve newsgroup completely dedicated to goat
discussion. if i can find the address (rustle, rustle...)
well i have to go back to my e-mail for the exact address. I think
it's [email-masked], but i will go and return . All discussion
is about goats, production, management, etc, with many subscribers
discussing angora and cashmere production.

sarah